Microsys PROMOTIC < 8.1.5 Multiple Vulnerabilities

This script is Copyright (C) 2012-2014 Tenable Network Security, Inc.


Synopsis :

The remote Windows host has an application affected by multiple
vulnerabilities.

Description :

The remote Windows host has a version of Microsys PROMOTIC installed
that is less than 8.1.5. Such versions are affected by multiple
vulnerabilities, including:

- The 'GetPromoticSite()' method of the ActiveX Control
'pmtable.ocx' can reference an uninitialized pointer in
certain situations.

- A directory traversal vulnerability may be exploited by
sending a specially crafted request to the web server
running on port 80. (CVE-2011-4518)

- A stack overflow vulnerability affecting the SafeCfg()
method of the PmTrendViewer ActiveX control.
(CVE-2011-4519)

- A heap overflow vulnerability affecting the AddTrend()
method of the PmTrendViewer ActiveX control.
(CVE-2011-4520)

See also :

http://aluigi.altervista.org/adv/promotic_1-adv.txt
http://www.promotic.eu/en/pmdoc/News.htm#ver80105

Solution :

Upgrade to Microsys PROMOTIC 8.1.5 or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.7
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: SCADA

Nessus Plugin ID: 58953 ()

Bugtraq ID: 50133
50430

CVE ID: CVE-2011-4518
CVE-2011-4519
CVE-2011-4520